---
updatedAt: 2026-05-13T09:04:10.000Z
---

# Reactivate instance author conversations

Reactivate an author's conversations

Reactivate an author's conversations. See [Reactivate an author's conversations](https://developer.khoros.com/khoroscaredevdocs/docs/reactivate-an-authors-conversations) for an example.

# Related endpoints

| Action | Endpoint                                                                                                                                                                             |
| ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| PUT    | [/authors/networks/networktype/ids/networkid/conversations/reactivate](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkidconversationsreactivate)<br />Reactivate an author's conversations. |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "author-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/authors",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/networks/{networktype}/instances/{networkinstance}/ids/{networkId}/conversations/reactivate": {
      "put": {
        "summary": "Reactivate instance author conversations",
        "description": "Reactivate an author's conversations",
        "operationId": "authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkidconversationsreactivate",
        "parameters": [
          {
            "name": "networktype",
            "in": "path",
            "description": "The type of network that manages content created by or about an author. Supported values are: \"twitter\", \"instagram\", \"facebook\", \"lithium\", \"crm\"<br><br>For a `networktype` of value \"lithium\" or \"crm\" you must also pass the `networkinstance`, because these types of networks can have multiple instances as opposed to Twitter, or Facebook that have only a single, default network.<br><br>The Author API supports \"twitter\", \"instagram\", \"facebook\", \"lithium\", and \"crm\" only as values for `networktype`.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "networkinstance",
            "in": "path",
            "description": "The specific, uniquely-identifiable instance of a `networktype`. Use this argument with a `networktype` of \"lithium\" or \"crm\" only because other network types such as Facebook, Twitter, and Instagram have only a single, default instance.<br><br>If you wanted to PUT or GET author data by passing in a CRM author ID, for example, you would need to specify which CRM instance the CRM author ID is associated with.<br><br>Example: \"sfdc_1\"<br><br>The value to pass for `networkinstance` is either the instance of your Lithium community (example: https://my_community_instance.com) or the key you defined for the CRM author integration for this CRM (example: \"sfdc_1\").",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "networkid",
            "in": "path",
            "description": "The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used `networkhandle`. The network ID must be unique to a given `networkinstance`.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "comment",
            "in": "query",
            "description": "An internal (URI-encoded) note about the conversation<br><br>Example: `A%20space%21%0AAnother%20line`<br><br>would result in the following comment added to the conversation:<br><br>A Space<br>Another line",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "pageId",
            "in": "query",
            "description": "The page ID of the Facebook page associated with the author’s PSID you are passing in. (Used only with Facebook.<br><br>**Note:** Facebook states that the PSID is globally unique, but as a best practice, we recommend including the associated pageId in order to make author identification as specific as possible.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"status\": \"success\",\n   \"data\": [\n       12745258\n   ]\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "integer",
                        "example": 12745258,
                        "default": 0
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X PUT --user [USERNAME]:[PASSWORD] ‘https://your_care_instance/api/v2/authors/networks/smooch/instances/default/ids/573948029/conversations/reactivate?comment=my%20note’",
              "name": "Reactivate conversations from a Khoros Brand Messenger author and add a comment"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```